# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-durus
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname Durus

Name:           python-module-durus
Version:        3.9
Release:        alt1_5
Summary:        A Python Object Database

Group:          Development/Python
License:        CNRI
URL:            http://www.mems-exchange.org/software/durus/
Source0:        http://www.mems-exchange.org/software/files/durus/Durus-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info
# drop python2.7(builtins)
%filter_from_requires /^python2...builtins./d

%description
Durus is a persistent object system for applications written in the Python
programming language. It offers an easy way to use and maintain a consistent
collection of object instances used by one or more processes. Access and change
of a persistent instances is managed through a cached Connection instance which
includes commit() and abort() methods so that changes are transactional.
Durus is best suited to collections of less than a million instances with
relatively stable state.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed

 
%files
%doc doc/ *.txt
%dir %{python_sitelibdir}/durus
%{python_sitelibdir}/Durus-%{version}-py?.?.egg-info/
%{python_sitelibdir}/durus/*.so
%{python_sitelibdir}/durus/*.py
%{python_sitelibdir}/durus/*.pyc
%{python_sitelibdir}/durus/*.pyo
%{_bindir}/durus

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_5
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_4
- initial fc import

